Subject: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jan 2024 16:12:58 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 12 Jan 2024 21:12:40 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > AFAIU, the OP's request was to allow to have a default font that lacks
> > the bold variant, so that the bold face attribute could be displayed
> > in some other way, or maybe not at all.
> 
> I thought the OP's difficulties related to the rendering of icon fonts
> without bold variants displayed in contexts where the bold attribute is
> generally applied, which if true it can be removed, after which the
> world's your lobster.

Sorry, I don't understand what you are saying here.  Could you please
say it in simpler words?  What are "icon fonts"? and what do you mean
by "it can be removed"?

> Though if disabling the bold attribute for the default face is
> indeed what OP wanted, providing this option exclusively for fonts
> without bold variants (that is, subject to overstriking) would
> create a fairly glaring deficiency.

If we add such a variable, it will be opt-in behavior, so only users
who want it will get the behavior that you consider deficient.  It
will be then up to those users to decide whether the behavior is good
enough for them.  So I see no problem with such an option; we don't
have to like each and every optional behavior that is by default
turned off.